#!/bin/sh

set -e -x

owd=`pwd`

mkdir -p out/pnd /tmp/pnd_android
rm -rf out/pnd/* gingerbread.pnd

./sgx.sh device/openpandora/pandora/pvr/gfx_rel_es2.x_android
./sgx.sh hardware/ti/sgx/gfx_rel_es3.x_android
./sgx.sh hardware/ti/sgx/gfx_rel_es5.x_android

cd out/target/product/pandora

../../../../build/tools/mktarball.sh ../../../host/linux-x86/bin/fs_get_stats root . tmp1 /tmp/pnd_android/rootfs.tar.bz2
../../../../build/tools/mktarball.sh ../../../host/linux-x86/bin/fs_get_stats . system tmp2 /tmp/pnd_android/system.tar.bz2

dd if=/dev/zero of=/tmp/pnd_android/rootfs.ext2 bs=1M count=1
mkfs.ext2 -N 512 -F /tmp/pnd_android/rootfs.ext2
mount -o loop /tmp/pnd_android/rootfs.ext2 /mnt/tmp/
cd /mnt/tmp/
tar xf /tmp/pnd_android/rootfs.tar.bz2
cd /tmp/
umount /mnt/tmp/

cd $owd/out/pnd
tar xf /tmp/pnd_android/system.tar.bz2
mkdir -p pandora/pvr
cp ../../device/openpandora/pandora/pnd/gingerbread.png pandora/
cp ../../device/openpandora/pandora/pnd/gingerbread.pxml pandora/
cp ../../device/openpandora/pandora/pnd/run_gingerbread.sh pandora/
cp ../../device/openpandora/pandora/pnd/readme.txt pandora/
cp -r ../../device/openpandora/pandora/pvr/3* pandora/pvr/
mv /tmp/pnd_android/rootfs.ext2 pandora/default_rootfs.ext2

cd $owd

./device/openpandora/pandora/pnd/pnd_make.sh -c -d out/pnd/ -i out/pnd/pandora/gingerbread.png \
	-x out/pnd/pandora/gingerbread.pxml -s device/openpandora/pandora/pnd/PXML_schema.xsd \
	-p gingerbread.pnd

